Get customer(s) associated with a chat
GET
/openapi/chat/customer/{chatId}
const url = 'https://open-api.replyco.com/openapi/chat/customer/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://open-api.replyco.com/openapi/chat/customer/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Returns the customer information for a chat. If customerId is provided, returns only that customer if associated with the chat. If customerId is null, returns all customers associated with the chat.
Note: Most chats have one customer, but some may have multiple participants.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”chatId
required
string format: uuid
Chat ID to retrieve customers from
Query Parameters
Section titled “Query Parameters”customerId
string format: uuid
Optional specific customer ID to filter (null returns all)
Responses
Section titled “Responses”Returns the customer list
User is not authenticated or authorized
Chat or customer ID was not found